Bug 843416 - [abrt] python-2.7.3-3.fc16: PyArray_API: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-3.fc16: PyArray_API: Process /usr/bin/python2.7 was kille...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: numpy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:57b18fb1a3827cc1e600f8c3b60...
:
: 726461 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 05:34 EDT by Pierre-YvesChibon
Modified: 2013-02-13 11:06 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:06:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (35.80 KB, text/plain)
2012-07-26 05:34 EDT, Pierre-YvesChibon
no flags Details
File: build_ids (14.49 KB, text/plain)
2012-07-26 05:34 EDT, Pierre-YvesChibon
no flags Details
File: maps (140.01 KB, text/plain)
2012-07-26 05:34 EDT, Pierre-YvesChibon
no flags Details
File: backtrace (166.13 KB, text/plain)
2012-07-26 05:35 EDT, Pierre-YvesChibon
no flags Details

  None (edit)
Description Pierre-YvesChibon 2012-07-26 05:34:37 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        python
crash_function: PyArray_API
executable:     /usr/bin/python2.7
kernel:         3.4.4-4.fc16.x86_64
pid:            5715
pwd:            /home/pierrey
time:           Thu 26 Jul 2012 11:17:32 AM CEST
uid:            1000
username:       pierrey

backtrace:      Text file, 170120 bytes
build_ids:      Text file, 14842 bytes
dso_list:       Text file, 36662 bytes
maps:           Text file, 143374 bytes

comment:
:Exact output and way to generate the problem:
:
:$ python
:Python 2.7.3 (default, May 29 2012, 14:54:22) 
:[GCC 4.6.3 20120306 (Red Hat 4.6.3-2)] on linux2
:Type "help", "copyright", "credits" or "license" for more information.
:>>> help()
:
:Welcome to Python 2.7!  This is the online help utility.
:
:If this is your first time using Python, you should definitely check out
:the tutorial on the Internet at http://docs.python.org/tutorial/.
:
:Enter the name of any module, keyword, or topic to get help on writing
:Python programs and using Python modules.  To quit this help utility and
:return to the interpreter, just type "quit".
:
:To get a list of available modules, keywords, or topics, type "modules",
:"keywords", or "topics".  Each module also comes with a one-line summary
:of what it does; to list the modules whose summaries contain a given word
:such as "spam", type "modules spam".
:
:help> modules
:
:Please wait a moment while I gather a list of all available modules...
:
:dm.c: 1640: not running as root returning empty list
:Segmentation fault (core dumped)

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=53
:HOSTNAME=cyan.pingoured.fr
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-awi0HD/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=b1974524ea48d2dce849ecf100000014-1343237743.566995-926809600
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=50331654
:GNOME_KEYRING_CONTROL=/tmp/keyring-awi0HD
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=pierrey
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/keyring-awi0HD/ssh
:USERNAME=pierrey
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/31794,unix/unix:/tmp/.ICE-unix/31794
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/pierrey/bin
:MAIL=/var/spool/mail/pierrey:/home/pierrey/Maildir
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/pierrey
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=31789
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/pierrey
:SHLVL=2
:UNO_PATH=/usr/lib/openoffice.org/program/
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=pierrey
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-oQocrFEdMS,guid=e6e6be3b397d6847174977ad0002b910
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/pierrey
:DISPLAY=:0.0
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-pierrey-6QEvHO/database
:_=/usr/bin/python

var_log_messages:
:Jul 24 10:52:44 cyan kernel: [60668.421448] python[13844]: segfault at 10 ip 00000036bc0bf4f5 sp 00007fffdf0ee8f0 error 4 in libpython2.7.so.1.0[36bc000000+172000]
:Jul 24 10:52:46 cyan abrt[13859]: Saved core dump of pid 13844 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-07-24-10:52:44-13844 (93892608 bytes)
:Jul 24 10:53:16 cyan kernel: [60701.231161] python[13910]: segfault at 10 ip 00000036bc0bf4f5 sp 00007fffea1193f0 error 4 in libpython2.7.so.1.0[36bc000000+172000]
:Jul 24 10:53:18 cyan abrt[13926]: Saved core dump of pid 13910 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-07-24-10:53:16-13910 (111042560 bytes)
:Jul 24 11:00:23 cyan kernel: [61127.759598] python[14077]: segfault at 10 ip 00000036bc0bf4f5 sp 00007fff70059a30 error 4 in libpython2.7.so.1.0[36bc000000+172000]
:Jul 24 11:00:25 cyan abrt[14090]: Saved core dump of pid 14077 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-07-24-11:00:23-14077 (93868032 bytes)
:Jul 24 11:02:15 cyan kernel: [61239.719127] python[14148]: segfault at 10 ip 00000036bc0bf4f5 sp 00007fff739f80d0 error 4 in libpython2.7.so.1.0[36bc000000+172000]
:Jul 24 11:02:17 cyan abrt[14167]: Saved core dump of pid 14148 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-07-24-11:02:15-14148 (111427584 bytes)
:Jul 26 11:17:36 cyan abrt[5748]: Saved core dump of pid 5715 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-07-26-11:17:32-5715 (199204864 bytes)
Comment 1 Pierre-YvesChibon 2012-07-26 05:34:46 EDT
Created attachment 600464 [details]
File: dso_list
Comment 2 Pierre-YvesChibon 2012-07-26 05:34:48 EDT
Created attachment 600465 [details]
File: build_ids
Comment 3 Pierre-YvesChibon 2012-07-26 05:34:54 EDT
Created attachment 600466 [details]
File: maps
Comment 4 Pierre-YvesChibon 2012-07-26 05:35:06 EDT
Created attachment 600467 [details]
File: backtrace
Comment 5 Thomas Spura 2012-07-26 07:12:13 EDT
*** Bug 726461 has been marked as a duplicate of this bug. ***
Comment 6 Thomas Spura 2012-07-26 07:33:53 EDT
Crash in numpy, when importing scipy somehow (didn't find a standalone import yet):

#0  0x00007ff1e1609700 in PyArray_API () from /usr/lib64/python2.7/site-packages/numpy/core/multiarray.so
No symbol table info available.
#1  0x00007ff1cc72b029 in _import_array () at /usr/lib64/python2.7/site-packages/numpy/core/include/numpy/__multiarray_api.h:1571
        st = <optimized out>
        numpy = <optimized out>
        c_api = <PyCObject at remote 0x56d9f30>
#2  init_fftpack () at build/src.linux-x86_64-2.7/scipy/fftpack/_fftpackmodule.c:2649
        i = <optimized out>
        m = <module at remote 0xb64a7f8>
        d = <optimized out>
        s = <optimized out>
Comment 7 Orion Poplawski 2012-08-17 19:14:53 EDT
Looks to be a 64-bit only issue (F17 and F16).  Can't reproduce on 32-bit.
Comment 8 Fedora End Of Life 2013-01-16 09:51:03 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 11:06:04 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.